こんにちはゲストさん。会員登録(無料)して質問・回答してみよう!

解決済みの質問

sudo apt-get updateが失敗する

raspberry pi3の基板に電源を入れて、mosquittoをインストールしようとしています。

http://dev.classmethod.jp/hardware/install-mosquitto-on-raspberry-pi2/

こちらのサイトを参考にインストールを進めていました。


アップデートを実施してからとの警告表示がでたため、

$sudo apt-get update

これを実施したところ次のようなエラーがでてアップデートが完了できません。


pi@raspberrypi:~ $ sudo apt-get update
無視 http://vontaene.de . InRelease
ヒット http://archive.raspberrypi.org jessie InRelease

(中略)

無視 http://mirrordirector.raspbian.org jessie/rpi Translation-en
198 B を 18秒 で取得しました (10 B/s)
パッケージリストを読み込んでいます... 完了
W: GPG エラー: http://vontaene.de . Release: 以下の署名が無効です: KEYEXPIRED 1489690519 KEYEXPIRED 1489690519 KEYEXPIRED 1489690519
pi@raspberrypi:~ $


GPGエラーというのがでて来て途中で終了してしまいます。


この現象の解決方法をご教示頂きますよう、宜しくお願い致します。

投稿日時 - 2017-06-21 18:13:43

QNo.9343689

すぐに回答ほしいです

質問者が選んだベストアンサー

情報掘ってみたら、出てきました。
http://vontaene.de
こちらの管理の方が、公式のフォーラムに現れて、こう仰ってます。
https://jp.raspberrypi.org/forums/viewtopic.php?f=28&t=87139

by Defiant » Mon Feb 16, 2015 8:22 pm
Please no longer use my repository since nowadays raspbian already contains all gstreamer/omx packages.
raspbianは最近になって、すべてのgstreamer/omx パッケージを取り込んでいますので、こちらのリポジトリは、もう、使わないよう願います。

この解決には、 /etc/apt/sources.listを編集して、http://vontaene.deを含む行を削除するだけです。

公式に取り込まれたので、部分的リポジトリ廃止ということです。

投稿日時 - 2017-06-21 22:37:15

お礼

回答頂きありがとうございます。

/etc/apt/sources.listを編集して、http://vontaene.deを含む行を削除する

この作業で、エラーを回避できるようになりました。

mosquittoもインストールすることができました。

助かりました。

投稿日時 - 2017-06-22 10:39:12

このQ&Aは役に立ちましたか?

0人が「このQ&Aが役に立った」と投票しています

回答(2)

ANo.1

最新のjessie-liteパッケージで構築してみましたが、一切問題なく通りました。
書かれている通りGPG署名のエラーのようですが、、
・手順にあるGPG署名のインストールは成功していますか。
・Raspberry Piの時刻、タイムゾーンは正しく設定されていますか。

投稿日時 - 2017-06-21 22:14:03

お礼

回答頂きありがとうございます。

/etc/apt/sources.listを編集して、http://vontaene.deを含む行を削除する

この作業で、エラーを回避できるようになりました。

mosquittoもインストールすることができました。

助かります。

投稿日時 - 2017-06-22 10:39:39